ユーザ用ツール

サイト用ツール


サイドバー

Tree

最近の更新

cms:drupal:upgrade9:upgradework

upgrade作業

公式サイトにある説明の通りやってみる https://www.drupal.org/docs/upgrading-drupal/upgrading-from-drupal-8-to-drupal-9-or-later

サイトのルートに移動して

$ chmod 777 sites/default 
$ chmod 666 sites/default/*settings.php
$ chmod 666 sites/default/*services.yml

依存関係の構築?

次に、Drupal9バージョンとパッケージの両方を依存関係として取り込む必要があります。相互依存関係のある鶏が先か卵が先かという問題を回避するために使用します。(ググ翻訳)

$ composer require 'drupal/core-recommended:^9' 'drupal/core-composer-scaffold:^9' 'drupal/core-project-message:^9' --update-with-dependencies --no-update
./composer.json has been updated   ←実行結果
 
$ composer require 'drupal/core-dev:^9' --dev --update-with-dependencies --no-update
./composer.json has been updated  ←実行結果

composer update

ここで、実際にコード自体の更新を実行します。(ググ翻訳)

$ composer update
Loading composer repositories with package information
Updating dependencies
Lock file operations: 24 installs, 75 updates, 16 removals
  - Removing behat/mink-browserkit-driver (v1.4.1)
  - Removing behat/mink-goutte-driver (v1.3.0)
  - Removing doctrine/cache (v1.6.2)
  - Removing doctrine/collections (v1.4.0)
  - Removing doctrine/common (v2.7.3)
  - Removing doctrine/inflector (v1.2.0)
  - Removing fabpot/goutte (v3.2.3)
  - Removing jcalderonzumba/gastonjs (v1.2.0)
  - Removing jcalderonzumba/mink-phantomjs-driver (v0.3.3)
  - Removing laminas/laminas-zendframework-bridge (1.0.4)
  - Removing paragonie/random_compat (v9.99.99)
  - Removing phpunit/php-token-stream (3.1.3)
  - Removing symfony/class-loader (v3.4.41)
  - Removing symfony/polyfill-php56 (v1.17.0)
  - Removing symfony/polyfill-php70 (v1.17.0)
  - Removing symfony/polyfill-util (v1.17.0)
  - Upgrading composer/composer (1.10.24 => 2.2.3)
  - Upgrading composer/installers (v1.9.0 => v1.12.0)
  - Locking composer/metadata-minifier (1.0.0)
  - Locking composer/pcre (1.0.0)
  - Upgrading composer/semver (1.5.1 => 3.2.6)
  - Upgrading composer/xdebug-handler (1.4.6 => 2.0.4)
  - Upgrading doctrine/annotations (v1.4.0 => 1.13.2)
  - Upgrading doctrine/lexer (1.0.2 => 1.2.1)
  - Locking doctrine/reflection (1.2.2)
  - Upgrading drupal/core (8.9.8 => 9.3.2)
  - Upgrading drupal/core-composer-scaffold (8.9.8 => 9.3.2)
  - Upgrading drupal/core-dev (8.9.8 => 9.3.2)
  - Upgrading drupal/core-project-message (8.9.8 => 9.3.2)
  - Upgrading drupal/core-recommended (8.9.8 => 9.3.2)
  - Upgrading drupal/core-vendor-hardening (8.9.8 => 8.9.20)
  - Upgrading easyrdf/easyrdf (0.9.1 => 1.1.1)
  - Upgrading egulias/email-validator (2.1.17 => 3.1.2)
  - Locking friends-of-behat/mink-browserkit-driver (v1.6.1)
  - Upgrading guzzlehttp/guzzle (6.5.4 => 6.5.5)
  - Upgrading guzzlehttp/promises (v1.3.1 => 1.5.1)
  - Upgrading guzzlehttp/psr7 (1.6.1 => 1.8.3)
  - Upgrading laminas/laminas-diactoros (1.8.7p2 => 2.8.0)
  - Upgrading laminas/laminas-escaper (2.6.1 => 2.9.0)
  - Upgrading laminas/laminas-feed (2.12.2 => 2.15.0)
  - Upgrading laminas/laminas-stdlib (3.2.1 => 3.6.1)
  - Upgrading laminas/laminas-text (2.8.1 => 2.9.0)
  - Upgrading masterminds/html5 (2.3.0 => 2.7.5)
  - Upgrading pear/archive_tar (1.4.9 => 1.4.14)
  - Upgrading pear/pear-core-minimal (v1.10.10 => v1.10.11)
  - Upgrading pear/pear_exception (v1.0.1 => v1.0.2)
  - Upgrading phar-io/manifest (1.0.3 => 2.0.3)
  - Upgrading phar-io/version (2.0.1 => 3.1.0)
  - Upgrading phpunit/php-code-coverage (6.1.4 => 9.2.10)
  - Upgrading phpunit/php-file-iterator (2.0.5 => 3.0.6)
  - Locking phpunit/php-invoker (3.1.1)
  - Upgrading phpunit/php-text-template (1.2.1 => 2.0.4)
  - Upgrading phpunit/php-timer (2.1.3 => 5.0.3)
  - Upgrading phpunit/phpunit (7.5.20 => 9.5.11)
  - Locking psr/cache (1.0.1)
  - Upgrading psr/container (1.0.0 => 1.1.1)
  - Locking psr/http-factory (1.0.1)
  - Upgrading psr/log (1.1.3 => 1.1.4)
  - Locking react/promise (v2.8.0)
  - Locking sebastian/cli-parser (1.0.1)
  - Locking sebastian/code-unit (1.0.8)
  - Upgrading sebastian/code-unit-reverse-lookup (1.0.2 => 2.0.3)
  - Upgrading sebastian/comparator (3.0.3 => 4.0.6)
  - Locking sebastian/complexity (2.0.2)
  - Upgrading sebastian/diff (3.0.3 => 4.0.4)
  - Upgrading sebastian/environment (4.2.4 => 5.1.3)
  - Upgrading sebastian/exporter (3.1.4 => 4.0.4)
  - Upgrading sebastian/global-state (2.0.0 => 5.0.3)
  - Locking sebastian/lines-of-code (1.0.3)
  - Upgrading sebastian/object-enumerator (3.0.4 => 4.0.4)
  - Upgrading sebastian/object-reflector (1.1.2 => 2.0.4)
  - Upgrading sebastian/recursion-context (3.0.1 => 4.0.4)
  - Upgrading sebastian/resource-operations (2.0.2 => 3.0.3)
  - Locking sebastian/type (2.3.4)
  - Upgrading sebastian/version (2.0.1 => 3.0.2)
  - Upgrading stack/builder (v1.0.5 => v1.0.6)
  - Upgrading symfony-cmf/routing (1.4.1 => 2.3.4)
  - Upgrading symfony/browser-kit (v3.4.47 => v4.4.27)
  - Upgrading symfony/console (v3.4.41 => v4.4.34)
  - Upgrading symfony/css-selector (v3.4.47 => v4.4.27)
  - Upgrading symfony/debug (v3.4.41 => v4.4.31)
  - Upgrading symfony/dependency-injection (v3.4.41 => v4.4.34)
  - Locking symfony/deprecation-contracts (v2.5.0)
  - Upgrading symfony/dom-crawler (v3.4.47 => v4.4.36)
  - Locking symfony/error-handler (v4.4.34)
  - Upgrading symfony/event-dispatcher (v3.4.41 => v4.4.34)
  - Locking symfony/event-dispatcher-contracts (v1.1.11)
  - Upgrading symfony/filesystem (v3.4.47 => v4.4.27)
  - Upgrading symfony/finder (v3.4.47 => v4.4.36)
  - Locking symfony/http-client-contracts (v2.5.0)
  - Upgrading symfony/http-foundation (v3.4.41 => v4.4.34)
  - Upgrading symfony/http-kernel (v3.4.44 => v4.4.35)
  - Upgrading symfony/lock (v3.4.47 => v4.4.36)
  - Locking symfony/mime (v5.4.0)
  - Upgrading symfony/phpunit-bridge (v3.4.47 => v5.4.0)
  - Upgrading symfony/polyfill-ctype (v1.17.0 => v1.23.0)
  - Upgrading symfony/polyfill-iconv (v1.17.0 => v1.23.0)
  - Upgrading symfony/polyfill-intl-idn (v1.17.0 => v1.23.0)
  - Locking symfony/polyfill-intl-normalizer (v1.23.0)
  - Upgrading symfony/polyfill-mbstring (v1.17.0 => v1.23.1)
  - Upgrading symfony/polyfill-php72 (v1.17.0 => v1.24.0)
  - Locking symfony/polyfill-php73 (v1.24.0)
  - Locking symfony/polyfill-php80 (v1.23.1)
  - Upgrading symfony/process (v3.4.41 => v4.4.35)
  - Upgrading symfony/psr-http-message-bridge (v1.1.2 => v2.1.2)
  - Upgrading symfony/routing (v3.4.41 => v4.4.34)
  - Upgrading symfony/serializer (v3.4.41 => v4.4.35)
  - Locking symfony/service-contracts (v2.5.0)
  - Upgrading symfony/translation (v3.4.41 => v4.4.34)
  - Locking symfony/translation-contracts (v2.5.0)
  - Upgrading symfony/validator (v3.4.41 => v4.4.35)
  - Locking symfony/var-dumper (v5.4.0)
  - Upgrading symfony/yaml (v3.4.41 => v4.4.34)
  - Upgrading twig/twig (v1.42.5 => v2.14.7)
  - Upgrading typo3/phar-stream-wrapper (v3.1.4 => v3.1.7)
Writing lock file
Installing dependencies from lock file (including require-dev)
Package operations: 24 installs, 75 updates, 16 removals
  - Downloading drupal/core-composer-scaffold (9.3.2)
  - Downloading drupal/core-project-message (9.3.2)
  - Downloading composer/metadata-minifier (1.0.0)
  - Downloading composer/pcre (1.0.0)
  - Downloading composer/xdebug-handler (2.0.4)
  - Downloading symfony/var-dumper (v5.4.0)
  - Downloading symfony/phpunit-bridge (v5.4.0)
  - Downloading symfony/lock (v4.4.36)
  - Downloading symfony/debug (v4.4.31)
  - Downloading symfony/error-handler (v4.4.34)
  - Downloading symfony/dom-crawler (v4.4.36)
  - Downloading symfony/css-selector (v4.4.27)
  - Downloading symfony/browser-kit (v4.4.27)
  - Downloading sebastian/version (3.0.2)
  - Downloading sebastian/type (2.3.4)
  - Downloading sebastian/resource-operations (3.0.3)
  - Downloading sebastian/recursion-context (4.0.4)
  - Downloading sebastian/object-reflector (2.0.4)
  - Downloading sebastian/object-enumerator (4.0.4)
  - Downloading sebastian/global-state (5.0.3)
  - Downloading sebastian/exporter (4.0.4)
  - Downloading sebastian/environment (5.1.3)
  - Downloading sebastian/diff (4.0.4)
  - Downloading sebastian/comparator (4.0.6)
  - Downloading sebastian/code-unit (1.0.8)
  - Downloading sebastian/cli-parser (1.0.1)
  - Downloading phpunit/php-timer (5.0.3)
  - Downloading phpunit/php-text-template (2.0.4)
  - Downloading phpunit/php-invoker (3.1.1)
  - Downloading phpunit/php-file-iterator (3.0.6)
  - Downloading sebastian/lines-of-code (1.0.3)
  - Downloading sebastian/complexity (2.0.2)
  - Downloading sebastian/code-unit-reverse-lookup (2.0.3)
  - Downloading phpunit/php-code-coverage (9.2.10)
  - Downloading phar-io/version (3.1.0)
  - Downloading phar-io/manifest (2.0.3)
  - Downloading phpunit/phpunit (9.5.11)
  - Downloading friends-of-behat/mink-browserkit-driver (v1.6.1)
  - Downloading easyrdf/easyrdf (1.1.1)
  - Downloading symfony/yaml (v4.4.34)
  - Downloading symfony/process (v4.4.35)
  - Downloading psr/container (1.1.1)
  - Downloading symfony/polyfill-php73 (v1.24.0)
  - Downloading symfony/console (v4.4.34)
  - Downloading react/promise (v2.8.0)
  - Downloading composer/semver (3.2.6)
  - Downloading composer/composer (2.2.3)
  - Downloading typo3/phar-stream-wrapper (v3.1.7)
  - Downloading twig/twig (v2.14.7)
  - Downloading symfony/translation-contracts (v2.5.0)
  - Downloading symfony/validator (v4.4.35)
  - Downloading symfony/translation (v4.4.34)
  - Downloading symfony/serializer (v4.4.35)
  - Downloading symfony/routing (v4.4.34)
  - Downloading symfony/polyfill-php72 (v1.24.0)
  - Downloading symfony/polyfill-intl-normalizer (v1.23.0)
  - Downloading symfony/polyfill-intl-idn (v1.23.0)
  - Downloading symfony/mime (v5.4.0)
  - Downloading symfony/http-foundation (v4.4.34)
  - Downloading symfony/psr-http-message-bridge (v2.1.2)
  - Downloading symfony/polyfill-iconv (v1.23.0)
  - Downloading symfony/http-client-contracts (v2.5.0)
  - Downloading symfony/http-kernel (v4.4.35)
  - Downloading symfony/dependency-injection (v4.4.34)
  - Downloading symfony-cmf/routing (2.3.4)
  - Downloading stack/builder (v1.0.6)
  - Downloading psr/http-factory (1.0.1)
  - Downloading psr/cache (1.0.1)
  - Downloading pear/pear_exception (v1.0.2)
  - Downloading pear/pear-core-minimal (v1.10.11)
  - Downloading masterminds/html5 (2.7.5)
  - Downloading laminas/laminas-stdlib (3.6.1)
  - Downloading laminas/laminas-escaper (2.9.0)
  - Downloading laminas/laminas-feed (2.15.0)
  - Downloading laminas/laminas-diactoros (2.8.0)
  - Downloading guzzlehttp/psr7 (1.8.3)
  - Downloading guzzlehttp/promises (1.5.1)
  - Downloading guzzlehttp/guzzle (6.5.5)
  - Downloading doctrine/lexer (1.2.1)
  - Downloading egulias/email-validator (3.1.2)
  - Downloading doctrine/annotations (1.13.2)
  - Downloading doctrine/reflection (1.2.2)
  - Downloading drupal/core (9.3.2)
  - Downloading laminas/laminas-text (2.9.0)
  - Removing symfony/polyfill-util (v1.17.0)
  - Removing symfony/polyfill-php70 (v1.17.0)
  - Removing symfony/polyfill-php56 (v1.17.0)
  - Removing symfony/class-loader (v3.4.41)
  - Removing phpunit/php-token-stream (3.1.3)
  - Removing paragonie/random_compat (v9.99.99)
  - Removing laminas/laminas-zendframework-bridge (1.0.4)
  - Removing jcalderonzumba/mink-phantomjs-driver (v0.3.3)
  - Removing jcalderonzumba/gastonjs (v1.2.0)
  - Removing fabpot/goutte (v3.2.3)
  - Removing doctrine/inflector (v1.2.0)
  - Removing doctrine/common (v2.7.3)
  - Removing doctrine/collections (v1.4.0)
  - Removing doctrine/cache (v1.6.2)
  - Removing behat/mink-goutte-driver (v1.3.0)
  - Removing behat/mink-browserkit-driver (v1.4.1)
  - Upgrading composer/installers (v1.9.0 => v1.12.0): Extracting archive
  - Upgrading drupal/core-composer-scaffold (8.9.8 => 9.3.2): Extracting archive
  - Upgrading drupal/core-project-message (8.9.8 => 9.3.2): Extracting archive
  - Upgrading drupal/core-vendor-hardening (8.9.8 => 8.9.20): Extracting archive
  - Installing composer/metadata-minifier (1.0.0): Extracting archive
  - Upgrading psr/log (1.1.3 => 1.1.4): Extracting archive
  - Installing composer/pcre (1.0.0): Extracting archive
  - Upgrading composer/xdebug-handler (1.4.6 => 2.0.4): Extracting archive
  - Installing symfony/polyfill-php80 (v1.23.1): Extracting archive
  - Upgrading symfony/polyfill-mbstring (v1.17.0 => v1.23.1): Extracting archive
  - Installing symfony/var-dumper (v5.4.0): Extracting archive
  - Installing symfony/deprecation-contracts (v2.5.0): Extracting archive
  - Upgrading symfony/phpunit-bridge (v3.4.47 => v5.4.0): Extracting archive
  - Upgrading symfony/lock (v3.4.47 => v4.4.36): Extracting archive
  - Upgrading symfony/finder (v3.4.47 => v4.4.36): Extracting archive
  - Upgrading symfony/polyfill-ctype (v1.17.0 => v1.23.0): Extracting archive
  - Upgrading symfony/filesystem (v3.4.47 => v4.4.27): Extracting archive
  - Upgrading symfony/debug (v3.4.41 => v4.4.31): Extracting archive
  - Installing symfony/error-handler (v4.4.34): Extracting archive
  - Upgrading symfony/dom-crawler (v3.4.47 => v4.4.36): Extracting archive
  - Upgrading symfony/css-selector (v3.4.47 => v4.4.27): Extracting archive
  - Upgrading symfony/browser-kit (v3.4.47 => v4.4.27): Extracting archive
  - Upgrading sebastian/version (2.0.1 => 3.0.2): Extracting archive
  - Installing sebastian/type (2.3.4): Extracting archive
  - Upgrading sebastian/resource-operations (2.0.2 => 3.0.3): Extracting archive
  - Upgrading sebastian/recursion-context (3.0.1 => 4.0.4): Extracting archive
  - Upgrading sebastian/object-reflector (1.1.2 => 2.0.4): Extracting archive
  - Upgrading sebastian/object-enumerator (3.0.4 => 4.0.4): Extracting archive
  - Upgrading sebastian/global-state (2.0.0 => 5.0.3): Extracting archive
  - Upgrading sebastian/exporter (3.1.4 => 4.0.4): Extracting archive
  - Upgrading sebastian/environment (4.2.4 => 5.1.3): Extracting archive
  - Upgrading sebastian/diff (3.0.3 => 4.0.4): Extracting archive
  - Upgrading sebastian/comparator (3.0.3 => 4.0.6): Extracting archive
  - Installing sebastian/code-unit (1.0.8): Extracting archive
  - Installing sebastian/cli-parser (1.0.1): Extracting archive
  - Upgrading phpunit/php-timer (2.1.3 => 5.0.3): Extracting archive
  - Upgrading phpunit/php-text-template (1.2.1 => 2.0.4): Extracting archive
  - Installing phpunit/php-invoker (3.1.1): Extracting archive
  - Upgrading phpunit/php-file-iterator (2.0.5 => 3.0.6): Extracting archive
  - Installing sebastian/lines-of-code (1.0.3): Extracting archive
  - Installing sebastian/complexity (2.0.2): Extracting archive
  - Upgrading sebastian/code-unit-reverse-lookup (1.0.2 => 2.0.3): Extracting archive
  - Upgrading phpunit/php-code-coverage (6.1.4 => 9.2.10): Extracting archive
  - Upgrading phar-io/version (2.0.1 => 3.1.0): Extracting archive
  - Upgrading phar-io/manifest (1.0.3 => 2.0.3): Extracting archive
  - Upgrading phpunit/phpunit (7.5.20 => 9.5.11): Extracting archive
  - Installing friends-of-behat/mink-browserkit-driver (v1.6.1): Extracting archive
  - Upgrading easyrdf/easyrdf (0.9.1 => 1.1.1): Extracting archive
  - Upgrading symfony/yaml (v3.4.41 => v4.4.34): Extracting archive
  - Upgrading symfony/process (v3.4.41 => v4.4.35): Extracting archive
  - Upgrading psr/container (1.0.0 => 1.1.1): Extracting archive
  - Installing symfony/service-contracts (v2.5.0): Extracting archive
  - Installing symfony/polyfill-php73 (v1.24.0): Extracting archive
  - Upgrading symfony/console (v3.4.41 => v4.4.34): Extracting archive
  - Installing react/promise (v2.8.0): Extracting archive
  - Upgrading composer/semver (1.5.1 => 3.2.6): Extracting archive
  - Upgrading composer/composer (1.10.24 => 2.2.3): Extracting archive
  - Upgrading drupal/core-dev (8.9.8 => 9.3.2)
  - Upgrading typo3/phar-stream-wrapper (v3.1.4 => v3.1.7): Extracting archive
  - Upgrading twig/twig (v1.42.5 => v2.14.7): Extracting archive
  - Installing symfony/translation-contracts (v2.5.0): Extracting archive
  - Upgrading symfony/validator (v3.4.41 => v4.4.35): Extracting archive
  - Upgrading symfony/translation (v3.4.41 => v4.4.34): Extracting archive
  - Upgrading symfony/serializer (v3.4.41 => v4.4.35): Extracting archive
  - Upgrading symfony/routing (v3.4.41 => v4.4.34): Extracting archive
  - Upgrading symfony/polyfill-php72 (v1.17.0 => v1.24.0): Extracting archive
  - Installing symfony/polyfill-intl-normalizer (v1.23.0): Extracting archive
  - Upgrading symfony/polyfill-intl-idn (v1.17.0 => v1.23.0): Extracting archive
  - Installing symfony/mime (v5.4.0): Extracting archive
  - Upgrading symfony/http-foundation (v3.4.41 => v4.4.34): Extracting archive
  - Upgrading symfony/psr-http-message-bridge (v1.1.2 => v2.1.2): Extracting archive
  - Upgrading symfony/polyfill-iconv (v1.17.0 => v1.23.0): Extracting archive
  - Installing symfony/http-client-contracts (v2.5.0): Extracting archive
  - Installing symfony/event-dispatcher-contracts (v1.1.11): Extracting archive
  - Upgrading symfony/event-dispatcher (v3.4.41 => v4.4.34): Extracting archive
  - Upgrading symfony/http-kernel (v3.4.44 => v4.4.35): Extracting archive
  - Upgrading symfony/dependency-injection (v3.4.41 => v4.4.34): Extracting archive
  - Upgrading symfony-cmf/routing (1.4.1 => 2.3.4): Extracting archive
  - Upgrading stack/builder (v1.0.5 => v1.0.6): Extracting archive
  - Installing psr/http-factory (1.0.1): Extracting archive
  - Installing psr/cache (1.0.1): Extracting archive
  - Upgrading pear/pear_exception (v1.0.1 => v1.0.2): Extracting archive
  - Upgrading pear/pear-core-minimal (v1.10.10 => v1.10.11): Extracting archive
  - Upgrading pear/archive_tar (1.4.9 => 1.4.14): Extracting archive
  - Upgrading masterminds/html5 (2.3.0 => 2.7.5): Extracting archive
  - Upgrading laminas/laminas-stdlib (3.2.1 => 3.6.1): Extracting archive
  - Upgrading laminas/laminas-escaper (2.6.1 => 2.9.0): Extracting archive
  - Upgrading laminas/laminas-feed (2.12.2 => 2.15.0): Extracting archive
  - Upgrading laminas/laminas-diactoros (1.8.7p2 => 2.8.0): Extracting archive
  - Upgrading guzzlehttp/psr7 (1.6.1 => 1.8.3): Extracting archive
  - Upgrading guzzlehttp/promises (v1.3.1 => 1.5.1): Extracting archive
  - Upgrading guzzlehttp/guzzle (6.5.4 => 6.5.5): Extracting archive
  - Upgrading doctrine/lexer (1.0.2 => 1.2.1): Extracting archive
  - Upgrading egulias/email-validator (2.1.17 => 3.1.2): Extracting archive
  - Upgrading doctrine/annotations (v1.4.0 => 1.13.2): Extracting archive
  - Installing doctrine/reflection (1.2.2): Extracting archive
  - Upgrading drupal/core (8.9.8 => 9.3.2): Extracting archive
  - Upgrading drupal/core-recommended (8.9.8 => 9.3.2)
  - Upgrading laminas/laminas-text (2.8.1 => 2.9.0): Extracting archive
    Cleaning: symfony/phpunit-bridge
    Cleaning: symfony/finder
    Cleaning: symfony/filesystem
    Cleaning: symfony/debug
    Cleaning: symfony/dom-crawler
    Cleaning: symfony/css-selector
    Cleaning: symfony/browser-kit
    Cleaning: sebastian/recursion-context
    Cleaning: sebastian/object-reflector
    Cleaning: sebastian/object-enumerator
    Cleaning: sebastian/global-state
    Cleaning: sebastian/exporter
    Cleaning: sebastian/environment
    Cleaning: sebastian/diff
    Cleaning: sebastian/comparator
    Cleaning: phpunit/php-timer
    Cleaning: sebastian/code-unit-reverse-lookup
    Cleaning: phpunit/php-code-coverage
    Cleaning: phar-io/version
    Cleaning: phar-io/manifest
    Cleaning: phpunit/phpunit
    Cleaning: easyrdf/easyrdf
    Cleaning: symfony/yaml
    Cleaning: symfony/process
    Cleaning: symfony/console
    Cleaning: composer/composer
    Cleaning: twig/twig
    Cleaning: symfony/validator
    Cleaning: symfony/translation
    Cleaning: symfony/serializer
    Cleaning: symfony/routing
    Cleaning: symfony/http-foundation
    Cleaning: symfony/psr-http-message-bridge
    Cleaning: symfony/event-dispatcher
    Cleaning: symfony/http-kernel
    Cleaning: symfony/dependency-injection
    Cleaning: symfony-cmf/routing
    Cleaning: stack/builder
    Cleaning: pear/pear_exception
    Cleaning: pear/pear-core-minimal
    Cleaning: pear/archive_tar
    Cleaning: masterminds/html5
    Cleaning: guzzlehttp/psr7
    Cleaning: guzzlehttp/promises
    Cleaning: egulias/email-validator
3 package suggestions were added by new dependencies, use `composer suggest` to see details.
Package container-interop/container-interop is abandoned, you should avoid using it. Use psr/container instead.
Package doctrine/reflection is abandoned, you should avoid using it. Use roave/better-reflection instead.
Generating autoload files
Hardening vendor directory with .htaccess and web.config files.
84 packages you are using are looking for funding.
Use the `composer fund` command to find out more!
Scaffolding files for drupal/core:
  - Copy [web-root]/.htaccess from assets/scaffold/files/htaccess
  - Copy [web-root]/INSTALL.txt from assets/scaffold/files/drupal.INSTALL.txt
  - Copy [web-root]/README.md from assets/scaffold/files/drupal.README.md
  - Copy [web-root]/robots.txt from assets/scaffold/files/robots.txt
  - Copy [web-root]/update.php from assets/scaffold/files/update.php
  - Copy [web-root]/web.config from assets/scaffold/files/web.config
  - Copy [web-root]/sites/example.settings.local.php from assets/scaffold/files/example.settings.local.php
  - Copy [web-root]/sites/example.sites.php from assets/scaffold/files/example.sites.php
  - Copy [web-root]/sites/default/default.services.yml from assets/scaffold/files/default.services.yml
  - Copy [web-root]/sites/default/default.settings.php from assets/scaffold/files/default.settings.php
Cleaning vendor directory.

update.php

後で説明

もどす

$ chmod 755 sites/default
$ chmod 644 sites/default/*settings.php
$ chmod 644 sites/default/*services.yml

update.php

ブラウザでupdate.phpにアクセスするか、Drushを使用して、保留中のデータベース更新を実行します。(ググ翻訳)。。。drushは8の時一度失敗したので、出来れば使いたくなぁ、なんて思ったりするということで、ブラウザでサイト/update.phpを実行

The role authenticated user has had non-existent permissions removed. Check the logs for details.
ロール認証されたユーザーは、存在しない権限を削除しました。 詳細については、ログを確認してください。

リンクのあるログを見てもエラーではないようだ。そもそも認証ユーザは作ってなくてAdminiしかないからかなぁ。エラーじゃないからいいか・・・。。管理画面にアクセスしたところ、9.3.2と表示されており終わったようだ。なんかあっけない。2つのエラーがあるが、これは8.9.8でも出ていたものと同じ




表示されているようだけど、使えてるかな。

cms/drupal/upgrade9/upgradework.txt · 最終更新: 2022/01/10 12:45 by king